# H245_H263VideoMode Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H263VideoMode:

List of all members.

## Public Types

enum | OptionalFields { e_errorCompensation, e_enhancementLayerInfo, e_h263Options }

## Public Member Functions

| H245_H263VideoMode (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_H263VideoMode_resolution | m_resolution
PASN_Integer | m_bitRate
PASN_Boolean | m_unrestrictedVector
PASN_Boolean | m_arithmeticCoding
PASN_Boolean | m_advancedPrediction
PASN_Boolean | m_pbFrames
PASN_Boolean | m_errorCompensation
H245_EnhancementLayerInfo | m_enhancementLayerInfo
H245_H263Options | m_h263Options

## Member Enumeration Documentation

enum H245_H263VideoMode::OptionalFields

Enumerator:

  e_errorCompensation |
  e_enhancementLayerInfo |
  e_h263Options |

## Constructor & Destructor Documentation

H245_H263VideoMode::H245_H263VideoMode | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H263VideoMode::GetDataLength | ( |  | ) | const

PBoolean H245_H263VideoMode::Decode | ( | PASN_Stream & | strm | ) |

void H245_H263VideoMode::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H263VideoMode::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H263VideoMode::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H263VideoMode::Clone | ( |  | ) | const

## Member Data Documentation

H245_H263VideoMode_resolution H245_H263VideoMode::m_resolution

PASN_Integer H245_H263VideoMode::m_bitRate

PASN_Boolean H245_H263VideoMode::m_unrestrictedVector

PASN_Boolean H245_H263VideoMode::m_arithmeticCoding

PASN_Boolean H245_H263VideoMode::m_advancedPrediction

PASN_Boolean H245_H263VideoMode::m_pbFrames

PASN_Boolean H245_H263VideoMode::m_errorCompensation

H245_EnhancementLayerInfo H245_H263VideoMode::m_enhancementLayerInfo

H245_H263Options H245_H263VideoMode::m_h263Options

The documentation for this class was generated from the following file:

- h245.h